<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
<script src='https://kit.fontawesome.com/8d9bddce50.js' crossorigin='anonymous'></script>
    <style></style>
</head>
<body>
    <form>
        <input id="email" type="text" placeholder="Enter your email"/>
        <input id="password" type="password" placeholder="Enter your password"/>
        <select id="gender">
            <option value="-">-</option>
            <option value="Male">Male</option>
            <option value="Female">Female</option>
            <option value="Others">Others</option>
        </select>
        <input type="radio" id="admin"/>
        <label for="admin">Admin</label>

        <input type="radio" id="user"/>
        <label for="user">user</label>

        <br><br><br>
        <input type="checkbox" class="checkbox" id="Perm1" value="Perm1"/>
        <label for="Perm1">Perm1</label>
        <input type="checkbox" class="checkbox" id="Perm2" value="Perm2"/>
        <label for="Perm2">Perm2</label>
        <input type="checkbox" class="checkbox" id="Perm3" value="Perm3"/>
        <label for="Perm3">Perm3</label>
        <input type="checkbox" class="checkbox" id="Perm4" value="Perm4"/>
        <label for="Perm4">Perm4</label>
        <br><br>
        <input type="submit" id="submit"/>
    </form>
</body>
</html>
<script>

function ValidateEmail(mail)
{
    var mailformat = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;
    if(!mailformat.test(mail)) {
        alert("You have entered an invalid email address!");
        return false
    }
    return true
}

function ValidatePassword(pass)
{
    var passformat = /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)[a-zA-Z\d]{6,}$/;
    if(!passformat.test(pass)) {
        alert("You have entered an invalid Password!");
        return false
    }
    return true
}

document.getElementById("submit").addEventListener("click",formsubmit)
    function formsubmit(e) {
       e.preventDefault()
      let email=document.getElementById("email").value
      let password=document.getElementById("password").value
      ValidateEmail(email)
      ValidatePassword(password)
      let gender = document.getElementById("gender").value

      if(gender=="-") {
          alert("unfilled feilds")
          return
      }
      let checked_box=0
      if(document.getElementById("Perm1").checked) checked_box++
      if(document.getElementById("Perm2").checked) checked_box++
      if(document.getElementById("Perm3").checked) checked_box++
      if(document.getElementById("Perm4").checked) checked_box++

      if(checked_box<3) {
          alert("Enter checkbox is should be 2")
          return
      }

      alert("confirm")
      window.location.reload()


       

    }
</script>